#ifdef GL_ES
precision mediump float;
#endif
uniform float u_resolution;
uniform float u_radius;
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

const float f1 = 0.15306122;
const float f2 = 0.12244897;
const float f3 = 0.09183673;
const float f4 = 0.05102040;
const float fc = 0.16326530;

void main() {
	vec4 sum = vec4(0.0);
	vec2 tc = v_texCoord;
	float blur = u_radius/u_resolution;

	sum.rgb += texture2D(CC_Texture0, vec2(tc.x - 4.0*blur, tc.y)).rgb * f4;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x - 3.0*blur, tc.y)).rgb * f3;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x - 2.0*blur, tc.y)).rgb * f2;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x - 1.0*blur, tc.y)).rgb * f1;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x, tc.y)).rgb * fc;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x + 1.0*blur, tc.y)).rgb * f1;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x + 2.0*blur, tc.y)).rgb * f2;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x + 3.0*blur, tc.y)).rgb * f3;
	sum.rgb += texture2D(CC_Texture0, vec2(tc.x + 4.0*blur, tc.y)).rgb * f4;

	sum.a += texture2D(CC_Texture1, vec2(tc.x - 4.0*blur, tc.y)).r * f4;
	sum.a += texture2D(CC_Texture1, vec2(tc.x - 3.0*blur, tc.y)).r * f3;
	sum.a += texture2D(CC_Texture1, vec2(tc.x - 2.0*blur, tc.y)).r * f2;
	sum.a += texture2D(CC_Texture1, vec2(tc.x - 1.0*blur, tc.y)).r * f1;
	sum.a += texture2D(CC_Texture1, vec2(tc.x, tc.y)).r * fc;
	sum.a += texture2D(CC_Texture1, vec2(tc.x + 1.0*blur, tc.y)).r * f1;
	sum.a += texture2D(CC_Texture1, vec2(tc.x + 2.0*blur, tc.y)).r * f2;
	sum.a += texture2D(CC_Texture1, vec2(tc.x + 3.0*blur, tc.y)).r * f3;
	sum.a += texture2D(CC_Texture1, vec2(tc.x + 4.0*blur, tc.y)).r * f4;

	gl_FragColor = v_fragmentColor * sum;
}
